# cli.vllm_serve

`cli.vllm_serve`

CLI to start the vllm server for online RL

## Functions

Name | Description
--- | ---
do_vllm_serve | Starts the VLLM server for serving LLM models used for online RL

### do_vllm_serve

    cli.vllm_serve.do_vllm_serve(config, cli_args)

Starts the VLLM server for serving LLM models used for online RL

Args :param cfg: Parsed doct of the YAML config :param cli_args: dict of additional command-line arguments of type VllmServeCliArgs

#### Returns

Name | Type | Description
--- | --- | ---
process_id |  | the process id of the started VLLM server